=== added file 'docs/dhis2_gis_user_manual_en.htm'
--- docs/dhis2_gis_user_manual_en.htm	1970-01-01 00:00:00 +0000
+++ docs/dhis2_gis_user_manual_en.htm	2009-09-12 09:27:37 +0000
@@ -0,0 +1,135 @@
+<html><head><meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"><title>DHIS 2 GIS User Manual</title><meta name="generator" content="DocBook XSL Stylesheets VSPY V.1 "><meta name="keywords" content="DHIS, GIS, Mapping"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article"><div class="titlepage">
+<div><h1 class="title"><a name="idarticle443393928"></a>DHIS 2 GIS User Manual</h1></div><div><div class="author"><h3 class="author">Jan Henrik verland</h3></div></div><div><div class="author"><h3 class="author">Pickering</h3></div></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="3"><b>Revision History</b></th></tr><tr><td align="left">Revision 1</td><td align="left">12/09/2009</td><td align="left">JPP</td></tr><tr><td align="left" colspan="3"><p>Initial conversion of document to DocBook format</p></td></tr></table></div></div>
+
+<hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><a href="#idsect1117300680">Conversion of geographical data to GeoJSON format</a></dt><dd><dl><dt><a href="#idsect2117299568">Production of GeoJSON files with Geoserver</a></dt><dt><a href="#idsect2117283064">Production of GeoJSON files with GDAL</a></dt><dt><a href="#idsect2163626672">Copying files to the DHIS application</a></dt></dl></dd><dt><a href="#idsect1117046368">Administrator panel</a></dt><dt><a href="#idsect1193203744">Registering geographical information</a></dt><dt><a href="#idsect1116996840">Assign organization units to map</a></dt><dt><a href="#idsect1116974000">Register overlays</a></dt><dt><a href="#idsect1124601320">Thematic map</a></dt><dt><a href="#idsect1117420888">Register views</a></dt><dt><a href="#idsect1117097720">Register legend sets</a></dt></dl></div><div class="sect1"><div class="titlepage">
+<div><h2 class="title" style="clear: both"><a name="idsect1117300680"></a>Conversion of geographical data to GeoJSON format</h2></div>
+
+</div><p>The DHIS2 mapping client relies on GeoJSON files in order to display
+    a map in the browser window. Often times, geographical data is received in
+    many different formats, but the ESRI shape file format is one of the most
+    common. Several procedures will be described below. It is important, but
+    not required, that the names in your geographical data match those in the
+    DHIS2 organizational hierarchy. If they do not, you will need to manually
+    match them in a later step</p><div class="sect2"><div class="titlepage">
+<div><h3 class="title"><a name="idsect2117299568"></a>Production of GeoJSON files with Geoserver</h3></div>
+
+</div><p>Geoserver is capable of outputting GeoJSON formats. If you have
+      geoserver running someplace, you can execute the following query.</p><p><a href="http://localhost:8080/geoserver/wfs?request=GetFeature&amp;typename=who:zm_adm1&amp;outputformat=json" target="_top">http://localhost:8080/geoserver/wfs?request=GetFeature&amp;typename=who:zm_adm1&amp;outputformat=json</a></p><p>You will need to adjust the host destination if the machine is not
+      your local machine as well as defining the actual layer in Geoserver
+      which should be output to GeoJSON (in this case
+      <i><tt>who:zm_adm1</tt></i>).</p><p>Upon execution of the URL, Geoserver will produce a GeoJSON file,
+      and you will be asked to save it. Once it has finished downloading,
+      rename the file following the suggested naming convention:</p><p>ISO2CountryCode followed by an underscore, followed by the layer
+      type (e.g. &#8220;admin&#8221; for administrative layers, &#8220;health&#8221; for health
+      administrative boundaries). For instance, the first administrative layer
+      for Zambia would be named as "zm_admin1".</p></div><div class="sect2"><div class="titlepage">
+<div><h3 class="title"><a name="idsect2117283064"></a>Production of GeoJSON files with GDAL</h3></div>
+
+</div><p>GDAL is a multi-platform toolkit for the manipulation of
+      geographical data. It is freely available for a wide-range of platforms
+      at <a href="???" target="_top">http://gdal.org</a></p><p>Production of GeoJSON files are straightforward with GDAL. Just
+      execute (on Windows)</p><pre class="programlisting">ogr2ogr.exe -f "GeoJSON" dst_datasource_name src_datasource_name</pre><p>or on Linux<pre class="programlisting">ogr2ogr -f "GeoJSON"dst_datasource_name src_datasource_name</pre></p><p>Replace <i><tt>dst_datasource_name</tt></i> with the path
+      to the destination geographical data file (following the naming
+      convention described above) and
+      <i><tt>src_datasource_name</tt></i> with the source geographical
+      data file.</p></div><div class="sect2"><div class="titlepage">
+<div><h3 class="title"><a name="idsect2163626672"></a>Copying files to the DHIS application</h3></div>
+
+</div><p>Currently, your GeoJSON files should be placed in the
+      DHIS_HOME/geoson of your DHIS application to be accessible to the GIS
+      module. If the GeoJSON directory does not exist, you will need to create
+      it manually and copy your GeoJSON files there.</p></div></div><div class="sect1"><div class="titlepage">
+<div><h2 class="title" style="clear: both"><a name="idsect1117046368"></a>Administrator panel</h2></div>
+
+</div><div class="screenshot"><p><img src="images/admin_panel.png"></p></div><p><div class="variablelist"><dl><dt><span class="term">Map source</span></dt><dd><p>GeoJSON: you will find your own
+            registered maps in the Map combo box in the Thematic map panel.
+            The Admin panels check box will become visible.</p><p>DHIS Database: the Map combo box will
+            simply be populated by the existing organisation unit levels and
+            GeoJSON files will be created by the application automatically
+            Organisation units must have coordinates stored in the database in
+            order to be displayed in the map. This function is mainly intended
+            for the facility level as it is easy to maintain and thus will
+            offer up-to-date shapefiles.</p></dd><dt><span class="term">Admin panel</span></dt><dd><p>Show/hide the shapefile management panels.</p></dd></dl></div></p></div><div class="sect1"><div class="titlepage">
+<div><h2 class="title" style="clear: both"><a name="idsect1193203744"></a>Registering geographical information</h2></div>
+
+</div><p>In order to view data in the GIS module, you must import your
+    geographical data into your DHIS installation. Once you have produced
+    GeoJSON files according to the procedure above, and imported them into the
+    system, you will need to establish a correspondence between the
+    information in the DHIS database, and the GeoJSON file.</p><div class="screenshot">
+<div class="mediaobject"><img src="images/register_geodata.png"></div></div><div class="variablelist"><dl><dt><span class="term">Organisation unit level</span></dt><dd><p>The level of the organization units displayed in the GeoJSON
+          file.</p></dd><dt><span class="term">Map source file</span></dt><dd><p>The GeoJSON file name. These files must be placed in the
+          mapping/geojson folder. Use e.g. Geoserver 2.0 (currently RC1) to
+          easily produce GeoJSON from your shapefiles.</p></dd><dt><span class="term">Display name</span></dt><dd><p>Represents your map in the Map combo box in the Thematic map
+          panel.</p></dd><dt><span class="term">Name column</span></dt><dd><p>The shapefile data column (case sensitive!) that will be
+          matched against DHIS organisation unit names. If you have an
+          instance of Geoserver installed, you can view the layer through the
+          built-in OpenLayers client. Click on a particular area, and the
+          possible fields will be displayed.</p><div class="screenshot">
+<div class="mediaobject"><img src="images/get_name_geoserver.png"></div></div><div class="screenshot">
+<div class="mediaobject"><img src="images/get_name_geojson.png"></div></div></dd><dt><span class="term">Longitude / latitude</span></dt><dd><p>The longitude and latitude refer to the approximate point
+          where the map will be centered after rendering. If you have
+          Geoserver running, you can view the layer through the integrated
+          OpenLayers client and determine a good center point for your map.
+          You can also use the background map of the DHIS GIS module, and
+          determine an approximate location. You may need to experiment a bit
+          with the center point and zoom level in order to get it
+          correct.</p><div class="screenshot">
+<div class="mediaobject"><img src="images/geoserver_center_point.png"></div></div><div class="screenshot">
+<div class="mediaobject"><img src="images/dhis_gis_center_point.png"></div></div></dd><dt><span class="term">Zoom</span></dt><dd><p>The zoom level controls the extent of the map. Some
+          experimentation will be required to get the correct zoom level.
+          Start with a value of "7" and increase or decrease the zoom level
+          depending on the extent of the map that should be displayed.</p></dd></dl></div></div><div class="sect1"><div class="titlepage">
+<div><h2 class="title" style="clear: both"><a name="idsect1116996840"></a>Assign organization units to map</h2></div>
+
+</div><p>Select a registered map and wait for it to load. The organisation
+    units (OU) in your database on this level will appear in the list and
+    colors will appear in the map. What we want to do here is creating
+    relations between OUs in the database and the corresponding OUs in the
+    shapefile. This is often necessary because of inconsistencies in the
+    naming in the geographical data, and what is present in the DHIS database.
+    First, try auto-assign at the bottom toolbar to let the application link
+    the OUs with a matching OU name in the shapefile. The polygons that remain
+    white, you will have to link manually by first selecting a white OU in the
+    list and then click the corresponding OU in the map.</p><div class="screenshot">
+<div class="mediaobject"><img src="images/assign_org_units.png"></div></div><p>The remove button at the button tool bar removes the selected OU&#8217;s
+    link. The remove all button removes all OU links for the selected
+    map.</p></div><div class="sect1"><div class="titlepage">
+<div><h2 class="title" style="clear: both"><a name="idsect1116974000"></a>Register overlays</h2></div>
+
+</div><p>Overlays are geographical layers that do not have any direct linkage
+    to data in the database. Example include roads, rivers, airports, ports,
+    and other geographical information that you may want to display on your
+    map, but that is not neccsarily linked ot data contained in the DHIS
+    database. The Register Overlay panel will allow you to
+    add new layers and determine how they will be represented visually on the
+    map. </p><div class="itemizedlist"><ul type="disc"><li><p>Display name: Represents your overlay in
+        the layer tree in the upper right corner.</p></li><li><p>Map source file: The GeoJSON file
+        name.</p></li><li><p>Fill color: Decides the fill color if the
+        layer is a polygon layer. </p></li><li><p>Fill opacity: Select an opacity level
+        between 0 (invisible) and 1 (solid).</p></li><li><p>Stroke color: The stroke color over lines
+        and polygon borders.</p></li><li><p>Stroke width: Select a stroke width between
+        0 and 4.</p></li></ul></div></div><div class="sect1"><div class="titlepage">
+<div><h2 class="title" style="clear: both"><a name="idsect1124601320"></a>Thematic map</h2></div>
+
+</div><p>This panel should be rather self-explanatory . Calculation method
+    alludes to the legend interval size and set to Equal
+    intervals they will be &#8220;highest map value &#8211; lowest map value
+    / number of classes&#8221;. Choose Fixed bounds and
+    you may set your own legend limits, e.g. &#8220;20,40,60&#8221; using a comma to
+    seperate each of the class break values. </p></div><div class="sect1"><div class="titlepage">
+<div><h2 class="title" style="clear: both"><a name="idsect1117420888"></a>Register views</h2></div>
+
+</div><p>This panel will save the current thematic map view in order to
+    restore it whenever you want via the Map view
+    combo box in the Thematic map panel. By
+    adding your views to DHIS 2 Dashboard you may access them there by
+    inserting Map views into one of link
+    areas.</p></div><div class="sect1"><div class="titlepage">
+<div><h2 class="title" style="clear: both"><a name="idsect1117097720"></a>Register legend sets</h2></div>
+
+</div><p>A legend set may be connected to many indicators, but an indicator
+    may only have one legend set. Thus, you may select many indicators when
+    you create a legend set. When an indicator that has a legend set is
+    selected in the Thematic map panel, the number of
+    classes, low color and high color is automatically set.</p></div></div></body></html>
\ No newline at end of file

=== removed file 'docs/dhis2_gis_user_manual_en.html'
--- docs/dhis2_gis_user_manual_en.html	2009-09-10 06:32:34 +0000
+++ docs/dhis2_gis_user_manual_en.html	1970-01-01 00:00:00 +0000
@@ -1,79 +0,0 @@
-<html><head><meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"><title>
-
-      DHIS 2 GIS User Manual
-      Jan 
-      HenrickverlandJasonPickering12009-09-09jppInitial 
-        drafting of DocBook format</title><meta name="generator" content="DocBook XSL Stylesheets VSPY V.1 "></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article"><div class="titlepage">
-<div><h1 class="title"><a name="idarticle126338776"></a>
-
-      DHIS 2 GIS User Manual
-      <div class="author"><h3 class="author">Jan 
-      Henrick verland</h3></div><div class="author"><h3 class="author">Jason Pickering</h3></div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="3"><b>Revision History</b></th></tr><tr><td align="left">Revision 1</td><td align="left">2009-09-09</td><td align="left">jpp</td></tr><tr><td align="left" colspan="3">Initial 
-        drafting of DocBook format</td></tr></table></div></h1></div>
-
-<hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><a href="#idsect1120103296">Production of of geographical data</a></dt><dd><dl><dt><a href="#idsect2106078848">Production of GeoJSON files with Geoserver</a></dt><dt><a href="#idsect2146987216">Production of GeoJSON files with GDAL</a></dt><dt><a href="#idsect2146984528">Copying files to the DHIS application</a></dt></dl></dd><dt><a href="#idsect1146983400">Administrator panel</a></dt><dt><a href="#idsect1146957824">Registering geographical information</a></dt></dl></div><div class="sect1"><div class="titlepage">
-<div><h2 class="title" style="clear: both"><a name="idsect1120103296"></a>Production of of geographical data</h2></div>
-
-</div><p>The DHIS2 mapping client relies on GeoJSON files in order to 
-    display a map in the browser window. Often times, geographical data 
-    is received in many different formats, but the ESRI shape file 
-    format is one of the most common. Several procedures will be 
-    described below. It is important, but not required, that the names 
-    in your geographical data match those in the DHIS2 organizational 
-    hierachy. If they do not, you will need to manually match them in a 
-    later step</p><div class="sect2"><div class="titlepage">
-<div><h3 class="title"><a name="idsect2106078848"></a>Production of GeoJSON files with Geoserver</h3></div>
-
-</div><p>Geoserver is capable of outputting GeoJSON formats. If you 
-      have geoserver running someplace, you can execute the following 
-      query.</p><p><a href="http://localhost:8080/geoserver/wfs?request=GetFeature&amp;typename=who:zm_adm1&amp;outputformat=json" target="_top">http://localhost:8080/geoserver/wfs?request=GetFeature&amp;typename=who:zm_adm1&amp;outputformat=json</a></p><p>You will need to adjust the host destination if the machine 
-      is not your local machine as well as defining the actual layer in 
-      Geoserver which should be output to GeoJSON (in this case 
-      who:zm_adm1).</p><p>Geoserver will produce a GeoJSON file, and you will be 
-      asked to save it. Once it has finished downloading, rename the 
-      file following the suggested naming convention:</p><p>ISO2CountryCode followed by an underscore, followed by the 
-      layer type (e.g. &#8220;admin&#8221; for administrative layers, &#8220;health&#8221; for 
-      health administrative boundaries)</p></div><div class="sect2"><div class="titlepage">
-<div><h3 class="title"><a name="idsect2146987216"></a>Production of GeoJSON files with GDAL</h3></div>
-
-</div><p>GDAL is a multi-platform toolkit for the manipulation of 
-      geographical data. It is freely available for a wide-range of 
-      platforms at http://gdal.org/.</p><p>Production of GeoJSON files are straightforward with GDAL. 
-      Just exectue</p><pre class="programlisting">ogr2ogr.exe -f "GeoJSON" dst_datasource_name src_datasource_name  (Windows)
-
-or
-ogr2ogr -f "GeoJSON"dst_datasource_name src_datasource_name (Linux) </pre><p>Replace dst_datasource_name with the path to the 
-      destination geographical data file (following the naming 
-      convention described above and src_datasource_name with the 
-      source geographical data file.</p></div><div class="sect2"><div class="titlepage">
-<div><h3 class="title"><a name="idsect2146984528"></a>Copying files to the DHIS application</h3></div>
-
-</div><p>Currently, your GeoJSON files should be placed in the 
-      /webapps/dhis/mapping/geojson of your DHIS application to be 
-      accessible to the GIS application.</p></div></div><div class="sect1"><div class="titlepage">
-<div><h2 class="title" style="clear: both"><a name="idsect1146983400"></a>Administrator panel</h2></div>
-
-</div><div class="screenshot"><p><img src="./images/admin_panel.png"></p></div><p><div class="variablelist"><dl><dt><span class="term">Map source</span></dt><dd><p>Shapefile: you will find your own registered maps in 
-            the Map combo box in the Thematic map panel. The Admin 
-            panels check box will become visibile.</p><p>DHIS Database: the Map combo box will simply be 
-            populated by the existing organisation unit levels and 
-            shapefiles will be created by the application on the fly. 
-            Organisation units must have coordinates stored in the 
-            datasbase in order to be displayed in the map. This 
-            function is mainly intended for the facility level as it is 
-            easy to maintain and thus will offer up-to-date 
-            shapefiles.</p></dd><dt><span class="term">Admin panel</span></dt><dd><p>Show/hide the shapefile management panels.</p></dd></dl></div></p></div><div class="sect1"><div class="titlepage">
-<div><h2 class="title" style="clear: both"><a name="idsect1146957824"></a>Registering geographical information</h2></div>
-
-</div><p>In order to view data in the GIS module, you must import your 
-    geographical data into your DHIS installation. Once you have 
-    produced GeoJSON files according to the procedure above, and 
-    imported them into the system, you will need to establish a 
-    correspondnce between the information in the DHIS database, and the 
-    GeoJSON file.</p><div class="screenshot"><p><img src="./images/register_geodata.png"></p></div><div class="variablelist"><dl><dt><span class="term">Organisation unit level</span></dt><dd><p>The level of the organization units displayed in the 
-          GeoJSON file.</p></dd><dt><span class="term">Map source file</span></dt><dd><p>The GeoJSON file name. These files must be placed in 
-          the mapping/geojson folder. Use e.g. Geoserver 2.0 (currently 
-          RC1) to easily produce GeoJSON from your shapefiles.</p></dd><dt><span class="term">Display name</span></dt><dd><p>Represents your map in the Map combo boxe in the 
-          Thematic map panel.</p></dd><dt><span class="term">Name column</span></dt><dd><p>The shapefile data column (case sensitive!) that will 
-          be matched against DHIS organisation unit names. There are 
-          several ways to get it, eg. Geoserver:</p><div class="screenshot"><p><img src="./images/get_name_geoserver.png"></p></div><p /></dd></dl></div><p /></div></div></body></html>
\ No newline at end of file

=== modified file 'docs/dhis2_gis_user_manual_en.xml'
--- docs/dhis2_gis_user_manual_en.xml	2009-09-10 06:32:34 +0000
+++ docs/dhis2_gis_user_manual_en.xml	2009-09-12 09:27:37 +0000
@@ -1,230 +1,382 @@
-<?xml version='1.0'?>
-<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3b2/docbookx.dtd">
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+"http://www.oasis-open.org/docbook/xml/4.3b2/docbookx.dtd">
 <article>
-
   <articleinfo>
-
-    <title>
-
-      DHIS 2 GIS User Manual
-      <author><firstname>Jan 
-      Henrick</firstname><surname>Øverland</surname></author>
-
-      <author><firstname>Jason</firstname><surname>Pickering</surname></author>
-
-      <revhistory>
-
-        <revision><revnumber>1</revnumber><date>2009-09-09</date><authorinitials>jpp</authorinitials><revremark>Initial 
-        drafting of DocBook format</revremark></revision>
-
-      </revhistory>
-
-    </title>
-
+    <title>DHIS 2 GIS User Manual</title>
+
+    <keywordset>
+      <keyword>DHIS</keyword>
+
+      <keyword>GIS</keyword>
+
+      <keyword>Mapping</keyword>
+    </keywordset>
+
+    <author>
+      <surname>Øverland</surname>
+
+      <firstname>Jan Henrik</firstname>
+    </author>
+
+    <author>
+      <surname>Pickering</surname>
+
+      <surname>Jason Paul</surname>
+    </author>
+
+    <revhistory>
+      <revision>
+        <revnumber>1</revnumber>
+
+        <date>12/09/2009</date>
+
+        <authorinitials>JPP</authorinitials>
+
+        <revdescription>
+          <para>Initial conversion of document to DocBook format</para>
+        </revdescription>
+      </revision>
+    </revhistory>
   </articleinfo>
 
   <sect1>
-
-    <title>Production of of geographical data</title>
-
-    <para>The DHIS2 mapping client relies on GeoJSON files in order to 
-    display a map in the browser window. Often times, geographical data 
-    is received in many different formats, but the ESRI shape file 
-    format is one of the most common. Several procedures will be 
-    described below. It is important, but not required, that the names 
-    in your geographical data match those in the DHIS2 organizational 
-    hierachy. If they do not, you will need to manually match them in a 
-    later step</para>
+    <title>Conversion of geographical data to GeoJSON format</title>
+
+    <para>The DHIS2 mapping client relies on GeoJSON files in order to display
+    a map in the browser window. Often times, geographical data is received in
+    many different formats, but the ESRI shape file format is one of the most
+    common. Several procedures will be described below. It is important, but
+    not required, that the names in your geographical data match those in the
+    DHIS2 organizational hierarchy. If they do not, you will need to manually
+    match them in a later step</para>
 
     <sect2>
-
       <title>Production of GeoJSON files with Geoserver</title>
 
-      <para>Geoserver is capable of outputting GeoJSON formats. If you 
-      have geoserver running someplace, you can execute the following 
-      query.</para>
-
-      <para>
-      <ulink url="http://localhost:8080/geoserver/wfs?request=GetFeature&amp;typename=who:zm_adm1&amp;outputformat=json">http://localhost:8080/geoserver/wfs?request=GetFeature&amp;typename=who:zm_adm1&amp;outputformat=json</ulink></para>
-
-      <para>You will need to adjust the host destination if the machine 
-      is not your local machine as well as defining the actual layer in 
-      Geoserver which should be output to GeoJSON (in this case 
-      who:zm_adm1).</para>
-
-      <para>Geoserver will produce a GeoJSON file, and you will be 
-      asked to save it. Once it has finished downloading, rename the 
-      file following the suggested naming convention:</para>
-
-      <para>ISO2CountryCode followed by an underscore, followed by the 
-      layer type (e.g. “admin” for administrative layers, “health” for 
-      health administrative boundaries)</para>
-
+      <para>Geoserver is capable of outputting GeoJSON formats. If you have
+      geoserver running someplace, you can execute the following query.</para>
+
+      <para><ulink
+      url="http://localhost:8080/geoserver/wfs?request=GetFeature&amp;typename=who:zm_adm1&amp;outputformat=json">http://localhost:8080/geoserver/wfs?request=GetFeature&amp;typename=who:zm_adm1&amp;outputformat=json</ulink></para>
+
+      <para>You will need to adjust the host destination if the machine is not
+      your local machine as well as defining the actual layer in Geoserver
+      which should be output to GeoJSON (in this case
+      <parameter>who:zm_adm1</parameter>).</para>
+
+      <para>Upon execution of the URL, Geoserver will produce a GeoJSON file,
+      and you will be asked to save it. Once it has finished downloading,
+      rename the file following the suggested naming convention:</para>
+
+      <para>ISO2CountryCode followed by an underscore, followed by the layer
+      type (e.g. “admin” for administrative layers, “health” for health
+      administrative boundaries). For instance, the first administrative layer
+      for Zambia would be named as "zm_admin1".</para>
     </sect2>
 
     <sect2>
-
       <title>Production of GeoJSON files with GDAL</title>
 
-      <para>GDAL is a multi-platform toolkit for the manipulation of 
-      geographical data. It is freely available for a wide-range of 
-      platforms at http://gdal.org/.</para>
-
-      <para>Production of GeoJSON files are straightforward with GDAL. 
-      Just exectue</para>
-
-      <programlisting>ogr2ogr.exe -f &quot;GeoJSON&quot; dst_datasource_name src_datasource_name  (Windows)
-
-or
-ogr2ogr -f &quot;GeoJSON&quot;dst_datasource_name src_datasource_name (Linux) </programlisting>
-      <para>Replace dst_datasource_name with the path to the 
-      destination geographical data file (following the naming 
-      convention described above and src_datasource_name with the 
-      source geographical data file.</para>
-
+      <para>GDAL is a multi-platform toolkit for the manipulation of
+      geographical data. It is freely available for a wide-range of platforms
+      at <ulink url="???">http://gdal.org</ulink></para>
+
+      <para>Production of GeoJSON files are straightforward with GDAL. Just
+      execute (on Windows)</para>
+
+      <programlisting>ogr2ogr.exe -f "GeoJSON" dst_datasource_name src_datasource_name</programlisting>
+
+      <para>or on Linux<programlisting>ogr2ogr -f "GeoJSON"dst_datasource_name src_datasource_name</programlisting></para>
+
+      <para>Replace <parameter>dst_datasource_name</parameter> with the path
+      to the destination geographical data file (following the naming
+      convention described above) and
+      <parameter>src_datasource_name</parameter> with the source geographical
+      data file.</para>
     </sect2>
 
     <sect2>
-
       <title>Copying files to the DHIS application</title>
 
-      <para>Currently, your GeoJSON files should be placed in the 
-      /webapps/dhis/mapping/geojson of your DHIS application to be 
-      accessible to the GIS application.</para>
-
+      <para>Currently, your GeoJSON files should be placed in the
+      DHIS_HOME/geoson of your DHIS application to be accessible to the GIS
+      module. If the GeoJSON directory does not exist, you will need to create
+      it manually and copy your GeoJSON files there.</para>
     </sect2>
-
   </sect1>
 
   <sect1>
-
     <title>Administrator panel</title>
 
-    <screenshot><graphic fileref="./images/admin_panel.png"
-     format="PNG"/></screenshot>
-    <para>
-
-      <variablelist>
-
+    <screenshot>
+      <graphic fileref="images/admin_panel.png" format="PNG" />
+    </screenshot>
+
+    <para><variablelist>
         <varlistentry>
-
           <term>Map source</term>
 
           <listitem>
-
-            <para>Shapefile: you will find your own registered maps in 
-            the Map combo box in the Thematic map panel. The Admin 
-            panels check box will become visibile.</para>
-
-            <para>DHIS Database: the Map combo box will simply be 
-            populated by the existing organisation unit levels and 
-            shapefiles will be created by the application on the fly. 
-            Organisation units must have coordinates stored in the 
-            datasbase in order to be displayed in the map. This 
-            function is mainly intended for the facility level as it is 
-            easy to maintain and thus will offer up-to-date 
-            shapefiles.</para>
-
+            <para><guimenuitem>GeoJSON</guimenuitem>: you will find your own
+            registered maps in the Map combo box in the Thematic map panel.
+            The Admin panels check box will become visible.</para>
+
+            <para><guimenu>DHIS Database:</guimenu> the Map combo box will
+            simply be populated by the existing organisation unit levels and
+            GeoJSON files will be created by the application automatically
+            Organisation units must have coordinates stored in the database in
+            order to be displayed in the map. This function is mainly intended
+            for the facility level as it is easy to maintain and thus will
+            offer up-to-date shapefiles.</para>
           </listitem>
-
         </varlistentry>
 
         <varlistentry>
-
-          <term>Admin panel</term>
+          <term><guibutton>Admin panel</guibutton></term>
 
           <listitem>
-
             <para>Show/hide the shapefile management panels.</para>
-
           </listitem>
-
         </varlistentry>
-
-      </variablelist>
-
-    </para>
-
+      </variablelist></para>
   </sect1>
 
   <sect1>
-
     <title>Registering geographical information</title>
 
-    <para>In order to view data in the GIS module, you must import your 
-    geographical data into your DHIS installation. Once you have 
-    produced GeoJSON files according to the procedure above, and 
-    imported them into the system, you will need to establish a 
-    correspondnce between the information in the DHIS database, and the 
-    GeoJSON file.</para>
-
-    <screenshot><graphic fileref="./images/register_geodata.png"
-     format="PNG"/></screenshot>
+    <para>In order to view data in the GIS module, you must import your
+    geographical data into your DHIS installation. Once you have produced
+    GeoJSON files according to the procedure above, and imported them into the
+    system, you will need to establish a correspondence between the
+    information in the DHIS database, and the GeoJSON file.</para>
+
+    <screenshot>
+      <screeninfo>Register Geodata Panel</screeninfo>
+
+      <mediaobject>
+        <imageobject>
+          <imagedata fileref="images/register_geodata.png" />
+        </imageobject>
+      </mediaobject>
+    </screenshot>
+
     <variablelist>
-
       <varlistentry>
-
         <term>Organisation unit level</term>
 
         <listitem>
-
-          <para>The level of the organization units displayed in the 
-          GeoJSON file.</para>
-
+          <para>The level of the organization units displayed in the GeoJSON
+          file.</para>
         </listitem>
-
       </varlistentry>
 
       <varlistentry>
-
         <term>Map source file</term>
 
         <listitem>
-
-          <para>The GeoJSON file name. These files must be placed in 
-          the mapping/geojson folder. Use e.g. Geoserver 2.0 (currently 
-          RC1) to easily produce GeoJSON from your shapefiles.</para>
-
+          <para>The GeoJSON file name. These files must be placed in the
+          mapping/geojson folder. Use e.g. Geoserver 2.0 (currently RC1) to
+          easily produce GeoJSON from your shapefiles.</para>
         </listitem>
-
       </varlistentry>
 
       <varlistentry>
-
         <term>Display name</term>
 
         <listitem>
-
-          <para>Represents your map in the Map combo boxe in the 
-          Thematic map panel.</para>
-
+          <para>Represents your map in the Map combo box in the Thematic map
+          panel.</para>
         </listitem>
-
       </varlistentry>
 
       <varlistentry>
-
         <term>Name column</term>
 
         <listitem>
-
-          <para>The shapefile data column (case sensitive!) that will 
-          be matched against DHIS organisation unit names. There are 
-          several ways to get it, eg. Geoserver:</para>
-
-          <screenshot><graphic fileref="./images/get_name_geoserver.png"
-           format="PNG"/></screenshot>
-          <para />
-
-        </listitem>
-
-      </varlistentry>
-
+          <para>The shapefile data column (case sensitive!) that will be
+          matched against DHIS organisation unit names. If you have an
+          instance of Geoserver installed, you can view the layer through the
+          built-in OpenLayers client. Click on a particular area, and the
+          possible fields will be displayed.</para>
+
+          <screenshot>
+            <screeninfo>Identification of the name column with Geoserver's
+            OpenLayers client</screeninfo>
+
+            <mediaobject>
+              <imageobject>
+                <imagedata fileref="images/get_name_geoserver.png" />
+              </imageobject>
+            </mediaobject>
+          </screenshot>
+
+          <screenshot>
+            <screeninfo>Identification of the name column directly in the
+            GeoJSON file</screeninfo>
+
+            <mediaobject>
+              <imageobject>
+                <imagedata fileref="images/get_name_geojson.png" />
+              </imageobject>
+            </mediaobject>
+          </screenshot>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term>Longitude / latitude</term>
+
+        <listitem>
+          <para>The longitude and latitude refer to the approximate point
+          where the map will be centered after rendering. If you have
+          Geoserver running, you can view the layer through the integrated
+          OpenLayers client and determine a good center point for your map.
+          You can also use the background map of the DHIS GIS module, and
+          determine an approximate location. You may need to experiment a bit
+          with the center point and zoom level in order to get it
+          correct.</para>
+
+          <screenshot>
+            <screeninfo>Using Geoserver OpenLayers client to get the map
+            center point</screeninfo>
+
+            <mediaobject>
+              <imageobject>
+                <imagedata fileref="images/geoserver_center_point.png" />
+              </imageobject>
+            </mediaobject>
+          </screenshot>
+
+          <screenshot>
+            <screeninfo>Using DHIS GIS Module to get the map center
+            point</screeninfo>
+
+            <mediaobject>
+              <imageobject>
+                <imagedata fileref="images/dhis_gis_center_point.png" />
+              </imageobject>
+            </mediaobject>
+          </screenshot>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term>Zoom</term>
+
+        <listitem>
+          <para>The zoom level controls the extent of the map. Some
+          experimentation will be required to get the correct zoom level.
+          Start with a value of "7" and increase or decrease the zoom level
+          depending on the extent of the map that should be displayed.</para>
+        </listitem>
+      </varlistentry>
     </variablelist>
-
-    <para />
-
-  </sect1>
-
+  </sect1>
+
+  <sect1>
+    <title>Assign organization units to map</title>
+
+    <para>Select a registered map and wait for it to load. The organisation
+    units (OU) in your database on this level will appear in the list and
+    colors will appear in the map. What we want to do here is creating
+    relations between OUs in the database and the corresponding OUs in the
+    shapefile. This is often necessary because of inconsistencies in the
+    naming in the geographical data, and what is present in the DHIS database.
+    First, try auto-assign at the bottom toolbar to let the application link
+    the OUs with a matching OU name in the shapefile. The polygons that remain
+    white, you will have to link manually by first selecting a white OU in the
+    list and then click the corresponding OU in the map.</para>
+
+    <screenshot>
+      <screeninfo>Assigning Organizational Units to the map</screeninfo>
+
+      <mediaobject>
+        <imageobject>
+          <imagedata fileref="images/assign_org_units.png" scale="100"
+                     scalefit="" vendor="" width="" xml:base="" />
+        </imageobject>
+      </mediaobject>
+    </screenshot>
+
+    <para>The remove button at the button tool bar removes the selected OU’s
+    link. The remove all button removes all OU links for the selected
+    map.</para>
+  </sect1>
+
+  <sect1>
+    <title>Register overlays</title>
+
+    <para>Overlays are geographical layers that do not have any direct linkage
+    to data in the database. Example include roads, rivers, airports, ports,
+    and other geographical information that you may want to display on your
+    map, but that is not neccsarily linked ot data contained in the DHIS
+    database. The <guimenu>Register Overlay</guimenu> panel will allow you to
+    add new layers and determine how they will be represented visually on the
+    map. </para>
+
+    <itemizedlist>
+      <listitem>
+        <para><guilabel>Display name:</guilabel> Represents your overlay in
+        the layer tree in the upper right corner.</para>
+      </listitem>
+
+      <listitem>
+        <para><guilabel>Map source file: </guilabel>The GeoJSON file
+        name.</para>
+      </listitem>
+
+      <listitem>
+        <para><guilabel>Fill color: </guilabel>Decides the fill color if the
+        layer is a polygon layer. </para>
+      </listitem>
+
+      <listitem>
+        <para><guilabel>Fill opacity: </guilabel>Select an opacity level
+        between 0 (invisible) and 1 (solid).</para>
+      </listitem>
+
+      <listitem>
+        <para><guilabel>Stroke color: </guilabel>The stroke color over lines
+        and polygon borders.</para>
+      </listitem>
+
+      <listitem>
+        <para><guilabel>Stroke width: </guilabel>Select a stroke width between
+        0 and 4.</para>
+      </listitem>
+    </itemizedlist>
+  </sect1>
+
+  <sect1>
+    <title>Thematic map</title>
+
+    <para>This panel should be rather self-explanatory . Calculation method
+    alludes to the legend interval size and set to <guimenuitem>Equal
+    intervals</guimenuitem> they will be “highest map value – lowest map value
+    / number of classes”. Choose <guimenuitem>Fixed bounds </guimenuitem>and
+    you may set your own legend limits, e.g. “20,40,60” using a comma to
+    seperate each of the class break values. </para>
+  </sect1>
+
+  <sect1>
+    <title>Register views</title>
+
+    <para>This panel will save the current thematic map view in order to
+    restore it whenever you want via the <guimenuitem>Map view
+    </guimenuitem>combo box in the <guimenu>Thematic map</guimenu> panel. By
+    adding your views to DHIS 2 Dashboard you may access them there by
+    inserting <guimenuitem>Map views</guimenuitem> into one of link
+    areas.</para>
+  </sect1>
+
+  <sect1>
+    <title>Register legend sets</title>
+
+    <para>A legend set may be connected to many indicators, but an indicator
+    may only have one legend set. Thus, you may select many indicators when
+    you create a legend set. When an indicator that has a legend set is
+    selected in the <guimenu>Thematic map</guimenu> panel, the number of
+    classes, low color and high color is automatically set.</para>
+  </sect1>
 </article>
-

=== modified file 'docs/images/admin_panel.png'
Binary files docs/images/admin_panel.png	2009-09-10 06:32:34 +0000 and docs/images/admin_panel.png	2009-09-12 09:27:37 +0000 differ
=== added file 'docs/images/assign_org_units.png'
Binary files docs/images/assign_org_units.png	1970-01-01 00:00:00 +0000 and docs/images/assign_org_units.png	2009-09-12 09:27:37 +0000 differ
=== added file 'docs/images/dhis_gis_center_point.png'
Binary files docs/images/dhis_gis_center_point.png	1970-01-01 00:00:00 +0000 and docs/images/dhis_gis_center_point.png	2009-09-12 09:27:37 +0000 differ
=== added file 'docs/images/geoserver_center_point.png'
Binary files docs/images/geoserver_center_point.png	1970-01-01 00:00:00 +0000 and docs/images/geoserver_center_point.png	2009-09-12 09:27:37 +0000 differ
=== modified file 'docs/images/register_geodata.png'
Binary files docs/images/register_geodata.png	2009-09-10 06:32:34 +0000 and docs/images/register_geodata.png	2009-09-12 09:27:37 +0000 differ
